DU(1V)

NAME
du - summarize disk usage

SYNOPSIS
du [ -s ] [ -a ] [ name ... ]

SYSTEM V SYNOPSIS
du [ -s ] [ -a ] [ -r ] [ name ... ]

DESCRIPTION
du gives the number of kilobytes contained in all files and, recursively, directories within each specified directory or file name. If name is missing, . (the current directory) is used.

A file which has multiple links to it is only counted once.

SYSTEM V DESCRIPTION
The System V version of du gives the number of 512-byte blocks rather than the number of kilobytes.

OPTIONS

-s  Only display the grand total for each of the specified names.

-a  Generate an entry for each file.

Entries are generated only for each directory in the absence of options.

SYSTEM V OPTIONS

-r  The System V version of du is normally silent about directories that cannot be read, files that cannot be opened, etc. The -r option will cause du to generate messages in such instances.

EXAMPLE

Here is an example of using du in a directory. We used the pwd command to identify the directory, then used du to show the usage of all the subdirectories in that directory. The grand total for the directory is the last entry in the display:
    % pwd
    /usr/henry/misc
    % du
    5	./jokes
    33	./squash
    44	./tech.papers/lpr.document
    217	./tech.papers/new.manager
    401	./tech.papers
    144	./memos
    80	./letters
    388	./window
    93	./messages
    15	./useful.news
    1211	.
    %

SEE ALSO
df(1), quot(8)

BUGS
Filename arguments that are not directory names are ignored, unless you use -a .
If there are too many distinct linked files, du will count the excess files more than once.